GWT 2.7.0

## com.google.gwt.core.ext.linker
Class BinaryEmittedArtifact

    java.lang.Object
      com.google.gwt.core.ext.linker.Artifact<EmittedArtifact>
          com.google.gwt.core.ext.linker.EmittedArtifact
              com.google.gwt.core.ext.linker.BinaryEmittedArtifact

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Artifact<?>>

    public abstract class BinaryEmittedArtifact

extends EmittedArtifact

A thinned down version of some `EmittedArtifact`. Only its essentials, including name and contents, are available.

This class should only be extended within the GWT implementation.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.core.ext.linker.EmittedArtifact
`EmittedArtifact.Visibility`

Constructor Summary
`protected` | `BinaryEmittedArtifact(java.lang.String partialPath)`

Method Summary
`abstract long` | `getLastModified()` Force subclasses to define.

Methods inherited from class com.google.gwt.core.ext.linker.EmittedArtifact
`compareToComparableArtifact, getComparableArtifactType, getContents, getPartialPath, getVisibility, hashCode, isPrivate, setPrivate, setVisibility, toString, writeTo`

Methods inherited from class com.google.gwt.core.ext.linker.Artifact
`compareTo, equals, getLinker, isTransferableFromShards`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BinaryEmittedArtifact

    protected BinaryEmittedArtifact(java.lang.String partialPath)

Method Detail

### getLastModified

    public abstract long getLastModified()

  Force subclasses to define.

  Overrides:
    `getLastModified` in class `EmittedArtifact`
  Returns:
    the time at which the Artifact was last modified

GWT 2.7.0